### Function

# Phosh shell_get_area

since: 0

#### Declaration [src]

    void
    phosh_shell_get_area (
      PhoshShell* self,
      int* width,
      int* height
    )

#### Description [src]

Gives the currently available screen area on the primary display.

Available since: 0

This function is not directly available to language bindings.

#### Parameters

`self`

  Type: `PhoshShell*`

  The shell singleton.

  The data is owned by the caller of the function.

`width`

  Type: `int*`

  The available width.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`height`

  Type: `int*`

  The available height.

  The argument can be `NULL`.
  The data is owned by the caller of the function.